<?php

namespace Teknisa\DF\Services;

use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\FilterCriteria;

class Ger98600CodigoDeSituacaoDaOperacaoDoSimplesNacionalService{
    
    public function __construct(Manager $dataSourceManager) {
        $this->dataSourceManager = $dataSourceManager;
    }
    
    public function validarCSONS($row){
        $filterCriteria = new FilterCriteria('codfiscopersn_allDescriptions');
        $filterCriteria->addCondition('CDEMPRESA',FilterCriteria::EQ,$row['CDEMPRESA']);
        $filterCriteria->addCondition('CDINSCESTA',FilterCriteria::EQ,$row['CDINSCESTA']);
        $filterCriteria->addCondition('IDENTSAICSOSN',FilterCriteria::EQ,$row['IDENTSAICSOSN']);
        $filterCriteria->addCondition('IDENTRSAIDOP',FilterCriteria::EQ,$row['IDENTRSAIDOP']);
        $filterCriteria->addCondition('CDTIPOOPER',FilterCriteria::EQ,$row['CDTIPOOPER']);
        $filterCriteria->addCondition('IDCSOSNINTEREST',FilterCriteria::EQ,$row['IDCSOSNINTEREST']);
        $filterCriteria->addCondition('CDFISCOPERSN',FilterCriteria::EQ,$row['CDFISCOPERSN']);
        if($row['CDPRODUTO'] == ""){
            
            $filterCriteria->addCondition('CDPRODUTO', FilterCriteria::IS_NULL, null);
        }
        else{
            $filterCriteria->addCondition('CDPRODUTO',FilterCriteria::EQ,$row['CDPRODUTO']);
        }
        if($row['CDGRUPOFISC'] == ""){
            $filterCriteria->addCondition('CDGRUPOFISC',FilterCriteria::IS_NULL, null);
        }
        else{
            $filterCriteria->addCondition('CDGRUPOFISC',FilterCriteria::EQ,$row['CDGRUPOFISC']);
        }
        
        $dataset = $this->dataSourceManager->findBy($filterCriteria);
        if(count($dataset->getRows())== 0) return true; else return false;
    }
}